Bug 31187 - activate_group_members does not print the username
activate_group_members does not print the username
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: Import scripts
UCS@school 4.1
Other Linux
: P5 minor (vote)
: UCS@school 4.1 R2 vXXX
Assigned To: Daniel Tröder
Sönke Schwardt-Krummrich
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-25 12:15 CEST by Sönke Schwardt-Krummrich
Modified: 2016-10-04 13:24 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Forked for project
Max CVSS v3 score:


Attachments
Patch to make active_groupmembers also print the username (1.49 KB, patch)
2016-02-08 10:44 CET, Michael Grandjean
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2013-04-25 12:15:18 CEST
The script activate_group_members activates all users of a given group. For each modified user, a firstname, lastname, generated password and so on will be printed to stdout. But the username is missing.
Comment 1 Michael Grandjean univentionstaff 2016-02-08 10:14:26 CET
Still true. 
That's quite a problem if the username can not be easily derived from firstname/lastname.
Comment 2 Michael Grandjean univentionstaff 2016-02-08 10:44:27 CET
Created attachment 7459 [details]
Patch to make active_groupmembers also print the username

The attached patch worked for me.
Comment 3 Daniel Tröder univentionstaff 2016-07-06 12:32:24 CEST
Patch applied, build, advisory (r70845, r70846).
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2016-08-17 12:18:20 CEST
OK: code change
OK: functional test
OK: advisory has been updated
Comment 5 Sönke Schwardt-Krummrich univentionstaff 2016-08-17 15:20:58 CEST
ucs-test-ucsschool (3.0.14-3):
r71681 | Bug #31187: added username check to 105_activate_groupmembers
Comment 6 Sönke Schwardt-Krummrich univentionstaff 2016-10-04 13:24:51 CEST
UCS@school 4.1 R2 v5 has been released.

http://docs.software-univention.de/changelog-ucsschool-4.1R2v5-de.html

If this error occurs again, please clone this bug.